
From: Steffen Zieger <lkml@steffenspage.de>

Here is a patch to get the kernel module from Codemerces to work.  The module
is available in source for the 2.4 and 2.6 series except the needed changes in
hid-core.c.  Codemercs distribute the needed changes as a complete file
(version 2.6.4).  This isn't working with 2.6.8.1.

http://www.codemercs.com

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/input/hid-core.c |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN drivers/usb/input/hid-core.c~codemercs-io-warrior-support drivers/usb/input/hid-core.c
--- 25/drivers/usb/input/hid-core.c~codemercs-io-warrior-support	2004-09-05 15:35:27.285720920 -0700
+++ 25-akpm/drivers/usb/input/hid-core.c	2004-09-05 15:36:20.802585120 -0700
@@ -1439,6 +1439,12 @@ void hid_init_reports(struct hid_device 
 #define USB_DEVICE_ID_1_PHIDGETSERVO_20	0x8101
 #define USB_DEVICE_ID_4_PHIDGETSERVO_20	0x8104
 
+#define USB_VENDOR_ID_CODEMERCS        0x07c0
+#define USB_DEVICE_ID_CODEMERCS_IOW40  0x1500
+#define USB_DEVICE_ID_CODEMERCS_IOW24  0x1501
+#define USB_DEVICE_ID_CODEMERCS_IOW48  0x1502
+#define USB_DEVICE_ID_CODEMERCS_IOW28  0x1503
+
 static struct hid_blacklist {
 	__u16 idVendor;
 	__u16 idProduct;
@@ -1521,6 +1527,11 @@ static struct hid_blacklist {
 	{ USB_VENDOR_ID_SAITEK, USB_DEVICE_ID_SAITEK_RUMBLEPAD, HID_QUIRK_BADPAD },
 	{ USB_VENDOR_ID_TOPMAX, USB_DEVICE_ID_TOPMAX_COBRAPAD, HID_QUIRK_BADPAD },
 
+	{ USB_VENDOR_ID_CODEMERCS, USB_DEVICE_ID_CODEMERCS_IOW40, HID_QUIRK_IGNORE },
+	{ USB_VENDOR_ID_CODEMERCS, USB_DEVICE_ID_CODEMERCS_IOW24, HID_QUIRK_IGNORE },
+	{ USB_VENDOR_ID_CODEMERCS, USB_DEVICE_ID_CODEMERCS_IOW48, HID_QUIRK_IGNORE },
+	{ USB_VENDOR_ID_CODEMERCS, USB_DEVICE_ID_CODEMERCS_IOW28, HID_QUIRK_IGNORE },
+
 	{ 0, 0 }
 };
 
_
